__gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy > Class Template Reference
Inheritance diagram for __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >:
[legend]

## Public Types

typedef _Alloc | allocator_type
typedef std::pair< size_type, size_type > | comp_hash
typedef const_iterator_ | const_iterator
typedef traits_base::const_pointer | const_pointer
typedef traits_base::const_reference | const_reference
typedef _Alloc::difference_type | difference_type
typedef Eq_Fn | eq_fn
typedef iterator_ | iterator
typedef traits_base::key_const_pointer | key_const_pointer
typedef traits_base::key_const_reference | key_const_reference
typedef traits_base::key_pointer | key_pointer
typedef traits_base::key_reference | key_reference
typedef traits_base::key_type | key_type
typedef traits_base::mapped_const_pointer | mapped_const_pointer
typedef traits_base::mapped_const_reference | mapped_const_reference
typedef traits_base::mapped_pointer | mapped_pointer
typedef traits_base::mapped_reference | mapped_reference
typedef traits_base::mapped_type | mapped_type
typedef __nothrowcopy::indicator | no_throw_indicator
typedef point_const_iterator_ | point_const_iterator
typedef point_iterator_ | point_iterator
typedef traits_base::pointer | pointer
typedef traits_base::reference | reference
typedef _Alloc::size_type | size_type
typedef integral_constant< int, Store_Hash > | store_extra
typedef Update_Policy::metadata_type | update_metadata
typedef Update_Policy | update_policy
typedef traits_base::value_type | value_type

## Public Member Functions

| lu_map (const lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy > &)
template<typename It >
| lu_map (It, It)
iterator | begin ()
const_iterator | begin () const
void | clear ()
_GLIBCXX_NODISCARD bool | empty () const
iterator | end ()
const_iterator | end () const
bool | erase (key_const_reference)
template<typename Pred >
size_type | erase_if (Pred)
point_iterator | find (key_const_reference r_key)
point_const_iterator | find (key_const_reference r_key) const
std::pair< point_iterator, bool > | insert (const_reference)
size_type | max_size () const
mapped_reference | operator[] (key_const_reference r_key)
size_type | size () const
void | swap (lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy > &)

## Public Attributes

no_throw_indicator | m_no_throw_copies_indicator
store_extra | m_store_extra_indicator

## Protected Member Functions

template<typename It >
void | copy_from_range (It, It)

## Friends

class | const_iterator_
class | iterator_

## Detailed Description

### template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
class __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >

list-based (with updates) associative container. Skip to the lu, my darling.

Definition at line 91 of file lu_map_.hpp.

The documentation for this class was generated from the following file:

- lu_map_.hpp